import { ToolbarActionToggle } from '../../toolbar';
import { LibraryPlugin } from './library-plugin';
import { Book } from './book';
export declare class LibraryToolbarItem extends ToolbarActionToggle {
    protected persist: boolean;
    get library(): LibraryPlugin | undefined;
    init(): void;
    openPersist(): void;
    open(): void;
    close(): void;
    protected item(book: Book): HTMLButtonElement;
}
